## visad
Class VisADSceneGraphObject

    java.lang.Object
      visad.VisADSceneGraphObject

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisADAppearance, VisADGeometryArray, VisADGroup

public class VisADSceneGraphObject
extends Object
implements Serializable

VisADSceneGraphObject stands in for j3d.SceneGraphObject; it is the parent of VisAD j3d stand-ins, and is Serializable.

See Also:
  Serialized Form

Field Summary
`(package private) VisADGroup` `parent`

Constructor Summary
`VisADSceneGraphObject()`

Method Summary
`void` `detach()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    VisADGroup parent

Constructor Detail

### VisADSceneGraphObject

    public VisADSceneGraphObject()

Method Detail

### detach

    public void detach()